package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TStandardsRegulations;

import java.util.List;


public interface TStandardsRegulationsService extends IService<TStandardsRegulations> {
    IPage<TStandardsRegulations> selectall(Page page,TStandardsRegulations tStandardsRegulations);

    boolean deleteall(TStandardsRegulations tStandardsRegulations);

    boolean updatefile(TStandardsRegulations tStandardsRegulations);

    boolean updateall(TStandardsRegulations tStandardsRegulations);

    int insertall(TStandardsRegulations tStandardsRegulations);

    TStandardsRegulations selectFile(TStandardsRegulations tStandardsRegulations);

    boolean updateByRegulations(TStandardsRegulations tStandardsRegulations);
}
